MobiariDocs

List pickup locations

GET
/storefront-api/{store_slug}/api/pickup-locations

Active locations that offer pickup, by position; the cart's pickup picker. A plain array (a store has a handful).

Path Parameters

store_slug*string

Store slug

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/storefront-api/string/api/pickup-locations"
[
  {
    "amenities_json": [
      "string"
    ],
    "city": "string",
    "complement": "string",
    "country": "string",
    "description": "string",
    "email": "string",
    "hours_json": {},
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "is_pickup_enabled": true,
    "latitude": 0,
    "longitude": 0,
    "name": "string",
    "neighborhood": "string",
    "number": "string",
    "phone": "string",
    "photos_json": [
      {
        "alt": "string",
        "url": "string"
      }
    ],
    "pickup_fee_cents": 0,
    "pickup_instructions": "string",
    "pickup_lead_minutes": 0,
    "position": 0,
    "postal_code": "string",
    "slug": "string",
    "state": "string",
    "street": "string",
    "timezone": "string",
    "whatsapp": "string"
  }
]
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}